md2.h File Reference

MD2 message digest algorithm (hash function) More...

`#include "config.h"`
`#include <stddef.h>`
`#include "md2_alt.h"`
Include dependency graph for md2.h:

Go to the source code of this file.

## Functions

void | mbedtls_md2 (const unsigned char *input, size_t ilen, unsigned char output[16])
| Output = MD2( input buffer ) More...
int | mbedtls_md2_self_test (int verbose)
| Checkup routine. More...
void | mbedtls_md2_process (mbedtls_md2_context *ctx)

## Detailed Description

MD2 message digest algorithm (hash function)

Copyright (C) 2006-2015, ARM Limited, All Rights Reserved SPDX-License-Identifier: Apache-2.0

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

This file is part of mbed TLS (https://tls.mbed.org)

Definition in file md2.h.

## Function Documentation

void mbedtls_md2 | ( | const unsigned char * | input,
|  | size_t | ilen,
|  | unsigned char | output[16]
| ) |  |

Output = MD2( input buffer )

Parameters

  input | buffer holding the data
  ilen | length of the input data
  output | MD2 checksum result

void mbedtls_md2_process | ( | mbedtls_md2_context * | ctx | ) |

int mbedtls_md2_self_test | ( | int | verbose | ) |

Checkup routine.

Returns
  0 if successful, or 1 if the test failed